• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • MuscleNerd Claims Corona A5 Jailbreak Almost Ready


    MuscleNerd of the iPhone Dev Team recently tweeted about a new blog post on the Dev Team’s blog. The post titled “Corona A5 jailbreak nearly ready to pop!” discusses the current state of the soon to be released jailbreak for the A5 based devices (the iPad 2 and iPhone 4S). He claims that the jailbreak is “nearly ready” for a public release with the combine effort of @pod2g, members of the iPhone Dev Team, and members of the Chronic Dev Team. All of the obstacles that previously stood in the way have been overcome and as of right now, MuscleNerd claims all that is left is making the jailbreak as bug free as possible.

    One interesting that that is discussed in this blog post is the various forms that the Corona A5 jailbreak will be released in. You’ll have the standard Graphical User Interface (GUI) form, a command-line interface (CLI), and the more familiar redsn0w GUI form. To read more detailed information regarding the various options that each form will provide, check the information from the blog post below:

    Originally Posted by :
    Jailbreak programs:

    To be as flexible as possible, the A5 version of the corona jailbreak will take multiple forms:

    • Chronic Dev have incorporated the overall flow into a GUI that runs on your Mac or PC
    • iPhone Dev have incorporated the exact same flow into a command-line interface (CLI). This will allow us to help users through individual steps of the jailbreak manually, to both help the user and help improve the overall flow. Although the CLI will also allow the user to perform the entire jailbreak from beginning to end, we anticipate it will be more useful in debugging the occasional errors. The CLI currently has over 20 individual options (in addition to the single “jailbreak” option) that should be useful during debug after the GUI release.
    • Once all the bugs in the flow are worked out, we’ll also incorporate it into the redsn0w GUI (but still leave the CLI freely available too). In order to maximize the chances of the jailbreak working for everyone, the redsn0w GUI will use native Apple iTunes libraries — this technique is slightly different than how the Chronic Dev GUI handles communications, and should provide nice combined coverage for all the odd computer configurations out there.
    Now, many of you may be wondering which firmware versions will be compatible with the Corona A5 jailbreak. This is something that MuscleNerd has identified and that all of you should take note of. The supported firmware versions include:

    Originally Posted by :
    • iPhone4S: 5.0 (9A334), 5.0.1 (9A405) and the “other” 5.0.1 (9A406)
    • iPad2: 5.0.1 (9A405)
    Users who wish to achieve a software-based carrier unlock for their iPhone 4S are advised to stay on iOS 5.0. If an unlock is something that you are not worried about, it is advised that you update to iOS 5.0.1. Furthermore, it’s recommended that if you are on iOS 5.0.1 (9A406), that you downgrade your baseband by going to the 9A405 version of iOS 5.0.1 while the window is still open.

    As many of you wait anxiously for the jailbreak to be released, it should be noted that this type of jailbreak method hasn’t been used before and unforeseen problems are expected to occur upon its release. MuscleNerd has advised everyone to properly backup any and all important data in case an issue occurs and you have to restore and re-jailbreak.

    Last but not least no ETA has been provided. The Corona A5 jailbreak will be released “when testing has shown most of the bugs have been fixed!”

    As usual, stay tuned for more news and information regarding the Corona A5 jailbreak by following us on Facebook, Twitter, and/or subscribing to our RSS feed.

    Source: iPhone Dev Team (blog), MuscleNerd (Twitter)

    *Thanks to the many ModMyi users who sent this in*
    This article was originally published in forum thread: MuscleNerd Claims Corona A5 Jailbreak Almost Ready started by Akshay Masand View original post
    Comments 112 Comments
    1. iPhoneThereforeIAm's Avatar
      iPhoneThereforeIAm -
      Quote Originally Posted by Andr3w1 View Post
      This maybe a stupid question, but if Apple stopped signing the 5.0.1 firmware and for whatever reason a restore was required. If I had the official firmware (5.0.1) downloaded already and I had saved my SHSH Blobs with TinyUmbrella Would a restore to 5.0.1 be possible?
      Apparently not for A5 devices - but don't quote me on that.
    1. Simon's Avatar
      Simon -
      Quote Originally Posted by ericwall View Post
      Actually, Jays repo (apt.saurik.com) is hosted my severally dedicated servers I believe. He didn't have a problem last time. It was actually modmyi's repo.

      Also, can simple please fix the mpdmyi app so I can actually see what I am
      Typing!
      Actually modmyi's repo held pretty strong. It did falter a little. Bigboss repo and zodttd had way more issues.
    1. offroad406's Avatar
      offroad406 -
      "Furthermore, it’s recommended that if you are on iOS 5.0.1 (9A406), that you downgrade your baseband by going to the 9A405 version of iOS 5.0.1 while the window is still open."

      Is this actually possible on the 4s and ipad 2?
    1. Simon's Avatar
      Simon -
      Quote Originally Posted by offroad406 View Post
      "Furthermore, it’s recommended that if you are on iOS 5.0.1 (9A406), that you downgrade your baseband by going to the 9A405 version of iOS 5.0.1 while the window is still open."

      Is this actually possible on the 4s and ipad 2?
      That is only referring to a 4S, but yes it is possible.
    1. spice_weasel's Avatar
      spice_weasel -
      Now, many of you may be wondering which firmware versions will be compatible with the Corona A5 jailbreak. This is something that MuscleNerd has identified and that all of you should take note of. The supported firmware versions include:

      • iPhone4S: 5.0 (9A334), 5.0.1 (9A405) and the “other” 5.0.1 (9A406)
      • iPad2: 5.0.1 (9A405)
      Users who wish to achieve a software-based carrier unlock for their iPhone 4S are advised to stay on iOS 5.0. If an unlock is something that you are not worried about, it is advised that you update to iOS 5.0.1. Furthermore, it’s recommended that if you are on iOS 5.0.1 (9A406), that you downgrade your baseband by going to the 9A405 version of iOS 5.0.1 while the window is still open.
      Now, wasn't everyone just telling us that the sky was falling, and we NEEDED to update to 5.0.1? Looks like the people pushing that just burned everyone who needed a carrier unlock.
      iOS 5.1 Patches Corona Untethered Jailbreak: Update to iOS 5.0.1 While You Still Can!
    1. Melloout's Avatar
      Melloout -
      All I know is if you use this jailbreak, these guys deserve your donation. If you haven't donated yet come on fellow jailbreakers we owe it to the guys for all there hard work!! Cheers and many thanks iDreamTeam!
    1. iPhoneThereforeIAm's Avatar
      iPhoneThereforeIAm -
      Quote Originally Posted by spice_weasel View Post
      Now, wasn't everyone just telling us that the sky was falling, and we NEEDED to update to 5.0.1? Looks like the people pushing that just burned everyone who needed a carrier unlock.
      iOS 5.1 Patches Corona Untethered Jailbreak: Update to iOS 5.0.1 While You Still Can!
      Sure, but it looks like there'll be an unlock for 405 - so it shouldn't actually matter.
    1. Andr3w1's Avatar
      Andr3w1 -
      Quote Originally Posted by iPhoneThereforeIAm View Post
      Apparently not for A5 devices - but don't quote me on that.
      Yup think you are right, just re-read that on some of replies
    1. expl0itfinder's Avatar
      expl0itfinder -
      Quote Originally Posted by MuscleNerd View Post
      Yep! Once Apple stops signing 5.0.1, this will become a "fragile" jailbreak. Don't install programs from untrusted sources, because you may end up needing to restore. And at that point you won't be able to restore to 5.0.1 anymore on A5 devices.

      P.S. Kil0111 feel free to install programs from untrusted sources
      Hahaha words of wisdom

      Quote Originally Posted by ericwall View Post
      Actually, Jays repo (apt.saurik.com) is hosted my severally dedicated servers I believe. He didn't have a problem last time. It was actually modmyi's repo.

      Also, can simple please fix the mpdmyi app so I can actually see what I am
      Typing!
      Amen! Im typing blind!
    1. hingeinc's Avatar
      hingeinc -
      Won't be released in January..
    1. iPhoneThereforeIAm's Avatar
      iPhoneThereforeIAm -
      Quote Originally Posted by hingeinc View Post
      Won't be released in January..
      £50 ?
    1. Smileydawg's Avatar
      Smileydawg -
      Users who wish to achieve a software-based carrier unlock for their iPhone 4S are advised to stay on iOS 5.0. If an unlock is something that you are not worried about, it is advised that you update to iOS 5.0.1. Furthermore, it’s recommended that if you are on iOS 5.0.1 (9A406), that you downgrade your baseband by going to the 9A405 version of iOS 5.0.1 while the window is still open.


      First of I would like to thank youll for the great work. I have a question I see where you said there will be a software base unlock for the 9A405, I jus wanted to kno if the unlock will be for the Iphone 4 or A4 chipset also
    1. littlelisa63's Avatar
      littlelisa63 -
      My phones unlocked...I upgraded to 9A406...so I'll be fine won't I ???
      So happy it's not far away now...thank you dream team 😄
    1. jeezy45's Avatar
      jeezy45 -
      I hope it's going to be a happy Friday
    1. Jailbreak669's Avatar
      Jailbreak669 -
      I though musclenerd was making jailbreakme 4.0

      I'll just wait for the multi firmware next generation hacks jailbreak it is used from safari like jailbreak me did and it works from 5.0.1 and below ... The exploit has not been disclosed yet it'll be a week or two til it comes out

      Quote Originally Posted by jeezy45 View Post
      I hope it's going to be a happy Friday
      I hope so
    1. Game2Freak's Avatar
      Game2Freak -
      Quote Originally Posted by MuscleNerd View Post
      Yep! Once Apple stops signing 5.0.1, this will become a "fragile" jailbreak. Don't install programs from untrusted sources, because you may end up needing to restore. And at that point you won't be able to restore to 5.0.1 anymore on A5 devices.

      P.S. Kil0111 feel free to install programs from untrusted sources
      Will ih8sn0w be able to update Ifaith to work with A5 devices once the jailbreak is released?

      If so, might not be so 'fragile'
    1. JLick's Avatar
      JLick -
      The daily taunting is getting old really fast. Im still going to donate but man I don't need to get my hopes up everytime they post a video or tweet 'a5 readyyyy swmagad' it's annoying. Stop setting dates you know are unrealistic!
    1. Simon's Avatar
      Simon -
      Quote Originally Posted by JLick View Post
      The daily taunting is getting old really fast. Im still going to donate but man I don't need to get my hopes up everytime they post a video or tweet 'a5 readyyyy swmagad' it's annoying. Stop setting dates you know are unrealistic!
      None of the devs ever set a date.
    1. Lewnsy78's Avatar
      Lewnsy78 -
      Apparently according to his blog the jailbreak is called absinthe and there testing now... Not long now woo hoo!!!
    1. Simon's Avatar
      Simon -
      Quote Originally Posted by Game2Freak View Post
      Will ih8sn0w be able to update Ifaith to work with A5 devices once the jailbreak is released?

      If so, might not be so 'fragile'
      iFaith will not work with the A5 devices unless a bootrom exploit is found.